Status: New Start date: 2010-12-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When we add users in project or group，we found that there are only 100 users in the list and without page-down or other tools to

change page. This make the process of adding user much more complicated. If you can find a way to change this, we will update our

system and thankful for your help.

History

#1 - 2010-12-23 12:40 - Jean-Philippe Lang

IMHO, using the search field is more convenient than browsing through pages, isn't it?

#2 - 2010-12-23 16:53 - x c

Thank you for you reply.

Our system used ruby1.8 and redmine-1.0.3.

We want to view all of the user and there is not much relationship between the information of users.If we can  browsing through pages we coule fine

users and add them one by one.So,we think browsing through pages to add user is more convenient.

#3 - 2010-12-29 17:47 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Inconvenience in User Add to Add pagination to new project/group member list

#4 - 2010-12-29 20:40 - Jean-Philippe Lang

- Category set to UI

#5 - 2012-12-12 11:10 - Simon Edwards

Is this behaviour likely to change in a future release?

I'm using Redmine 1.1.2, we have over 100 users and the add member list seems to only show around 80 of the active ones (I'm not certain why that

figure if the limit is 100). Users assume that the person they're looking for isn't a member if they're not in the list and don't seem to bother to search,

so I'd like to remove the limit.

I noticed that someone has posted a patch in the forum post New users not in the members list to remove the limit on the principals query (I think it

needs modifying to fit the current structure of the members controller), so I may try and convert that to a plugin if it's unlikely this is going to change.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/boards/2/topics/8461
http://www.tcpdf.org

